Query Information of a Company Contact
Query the detailed information of a company contact.
Request URL
GET {base_url}/{api_path}/company_contact/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the company contact. Note:You can query the company contact's ID using Search Specific Company Contacts. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Contact_DetailInfo> | The detailed information of the company contact. |
Contact_DetailInfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the company contact. |
| first_name | String | First name. |
| last_name | String | Last name. |
| company | String | Company. |
| String | Email address. | |
| phonebook_list | Array<Phonebook_List> | The list of phonebook to which the company contact belongs. |
| organization | String | Department. |
| job_title | String | Job title. |
| position | String | Position. |
| industry | String | Industry. |
| supervisor | String | Supervisor. |
| remark | String | Remark. |
| number_list | Array<Number_List> | The list of company contact's numbers. |
| zip_code | String | ZIP code. |
| street | String | Street. |
| city | String | City. |
| state | String | State. |
| country | String | Country. |
Phonebook_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Phonebook ID. |
| name | String | Phonebook name. |
Number_List
| Parameter | Type | Description |
|---|---|---|
| num_type | String | Number type.
|
| number | String | Telephone number. |
Examples
Request example
GET /openapi/v1.0/company_contact/get?id=4&access_token=6pAmpgdKOOCr1BtI9tCRJpjVXZPdgLYf HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"first_name": "Jay",
"last_name": "Prichett",
"email": "jayprichett@icloud.com",
"company": "Closet",
"zip_code": "41007",
"street": "",
"city": "Baltimore",
"state": "Kentucky (KY)",
"country": "United States",
"number_list": [
{
"num_type": "business_number",
"number": "001-5503308"
},
{
"num_type": "mobile_number",
"number": "15735810000"
},
{
"num_type": "other_number",
"number": "001-5503301"
}
],
"id": 4,
"phonebook_list": [
{
"id": 5,
"name": "Vendor"
},
{
"id": 3,
"name": "All Company Contacts_Phonebook"
}
],
"remark": "",
"organization": "Marketing",
"job_title": "PM",
"position": "PM",
"industry": "Telecom",
"supervisor": "Leo"
}
}